<script type="text/javascript">
  RED.nodes.registerType("dim-dns-server", {
    category: 'network',
    color: '#F3B567',
    defaults: {
      name: { value: "" },
      port: {
        value: RED._('node-red-dim/dnsServer:dnsServer.default.port'),
        required: true,
        validate: RED.validators.number(true)
      }
    },
    icon: 'font-awesome/fa-server',
    inputs: 0,
    outputs: 1,
    label: function() {
      return this.name || "DIM Dns Server";
    }
  });
</script>

<script type="text/html" data-template-name="dim-dns-server">
  <div class="form-row">
    <label for="node-input-name">
      <i class="fa fa-tag"></i>
      <span data-i18n="dnsServer.label.node-name"></span>
    </label>
    <input type="text" id="node-input-name" data-i18n="[placeholder]dnsServer.placeholder.node-name">
  </div>
  <div class="form-row">
    <label for="node-input-port">
      <span data-i18n="dnsServer.label.port"></span>
    </label>
    <input type="text" id="node-input-port" data-i18n="[placeholder]dnsServer.default.port">
</div>
</script>
